Aller au contenu
agentsub
Esc
↑↓naviguer↵ouvrir⌘Japerçu

Active verified merchant offers

GET/v1/merchants/catalog
Authorization
AuthorizationBearer token (JWT) · headerrequired

Clerk human owner session JWT; iss must equal the configured Clerk issuer and the identity must be a human (not agent) owner with a verified email.

or
AuthorizationBearer token (JWT) · headerrequired

Verified AgentID agent JWT (iss https://auth.agentid.com) or an agentsub OAuth access token (typ at+jwt, iss https://api.agentsub.dev, scope agentsub:agent). The agent's human owner must exist in Clerk with the same verified email.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:agentsub:owner
Responses
200

Successful response

offersRegisteredOffer[]
Show properties
Array of RegisteredOffer
skustring
min length 1 · max length 100 · matches ^[a-zA-Z0-9._-]+$
titlestring
min length 1 · max length 150
descriptionstring
max length 2000 · default: ""
unitstring
min length 1 · max length 100
priceUsdstring
matches ^(0|[1-9]\d{0,5})(\.\d{1,6})?$
categorystring
min length 1 · max length 60
idstring
merchantIdstring
priceUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
activeboolean
createdAtinteger
updatedAtinteger
limitinteger
Request
curl -X GET 'https://api.agentsub.dev/v1/merchants/catalog' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "offers": [
    {
      "sku": "string",
      "title": "string",
      "description": "",
      "unit": "string",
      "priceUsd": "string",
      "category": "string",
      "id": "string",
      "merchantId": "string",
      "priceUc": "string",
      "active": true,
      "createdAt": 0,
      "updatedAt": 0
    }
  ],
  "limit": 200
}